excalibur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Leo Simons <m...@leosimons.com>
Subject Re: RC2 Builds
Date Mon, 15 Aug 2005 19:44:39 GMT
First things first...hurray for Shash! Keep going!

Stefano Bagnara wrote:
> I'm a James (Apache mail server) committer and i would like to know your
> opinion about libraries upgrade.
> Our current trunk is build against avalon 4.1.4 and runs under phoenix
> 4.0.5.
> Should we try to upgrade to the latest excalibur libs?

Yes. *Try* being the keyword. We think everything is
backwards-compatible and as far as Gump can tell it is. But from 4.0.5
(I think there's just a 4.0.4 actually?) to current trunk is a long way
(like, ehm, a few years).

At least consider upgrading avalon-framework. I'm *highly* confident
that's fully backwards-compatible and it has one or two bugfixes in
there that you want.

> Will Phoenix run with the latest avalon libs?

It should.

> Most cornerstone libs we use are 1.0: is it a big work to upgrade to the
> latest?

I don't think so.

- Leo

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@excalibur.apache.org
For additional commands, e-mail: dev-help@excalibur.apache.org


Mime
View raw message